/***************************************************************************
 *   Copyright (C) 2004 by Jens Luetkens                                   *
 *   j.luetkens@limitland.de                                               *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef KWIN_RIDGE_H
#define KWIN_RIDGE_H

#include <kdecoration.h>
#include <kdecorationfactory.h>

#include "Ridge.h"

namespace RIDGE {

class RidgeButton;

class Ridge : public KDecorationFactory
{

public:

	Ridge();
	~Ridge();

    virtual					bool reset(unsigned long changed);
    virtual KDecoration*	createDecoration(KDecorationBridge *b);

    /*static int				borderSize() { return 0; }*/


private:

/*    bool			readConfig();*/

    bool			m_initialized;
	
	/* Configuration */
/*
    static bool			m_hasBorder;
    static int			m_borderSize;
    static bool			m_hasOffset;
    static int			m_offsetSize;
    static bool			m_hasDecoration;
	static QString		m_decorationTheme;
    static bool			m_hasOutline;
	static QColor		m_outlineAColor;
	static QColor		m_outlineIColor;
*/
	
};

} // namespace RIDGE

#endif
